List security evidence deliveries (browser session)
import requests
url = "https://platform.ankra.app/org/security/evidence/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/evidence/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/evidence/deliveries \
--header 'Authorization: Bearer <token>'{
"result": [
{
"attempts": 123,
"complete": true,
"created_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"framework": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": "<string>",
"last_error_class": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload_sha256": "<string>",
"period": "<string>",
"receipt": {},
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List security evidence deliveries (browser session)
The organisation’s deliveries newest first, optionally for one destination (at most 100).
GET
/
org
/
security
/
evidence
/
deliveries
List security evidence deliveries (browser session)
import requests
url = "https://platform.ankra.app/org/security/evidence/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/evidence/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/evidence/deliveries \
--header 'Authorization: Bearer <token>'{
"result": [
{
"attempts": 123,
"complete": true,
"created_at": "2023-11-07T05:31:56Z",
"delivered_at": "2023-11-07T05:31:56Z",
"destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"framework": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": "<string>",
"last_error_class": "<string>",
"next_attempt_at": "2023-11-07T05:31:56Z",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payload_sha256": "<string>",
"period": "<string>",
"receipt": {},
"requested_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"submitted_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}